// Unit Tests for LoadPackage*Jobs
// SPDX-FileCopyrightText: 2024 <A Schenck> <galiven@users.sourceforge.net>
// SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL

#ifndef LOADPACKAGEFILESTESTS_H
#define LOADPACKAGEFILESTESTS_H

#include <QObject>

class LoadPackageFilesTests : public QObject
{
	Q_OBJECT

private Q_SLOTS:
	void initTestCase();
	void cleanupTestCase();

	void init();
	void cleanup();

	//void testLoadPackageHardMaskJobTrompeloeil();
	void testLoadPackageHardMaskJobFakeIt();
	void testLoadPackageKeywordsJob();
};

#endif // LOADPACKAGEFILESTESTS_H
